Bug 1914782 - python-argcomplete test failures with bash 5.1 - AssertionError: '\x1b[?2004l\r\x1b[?2004h' != '' - [?2004h
Summary: python-argcomplete test failures with bash 5.1 - AssertionError: '\x1b[?2004l...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-argcomplete
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On: 1914843
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-11 08:51 UTC by Tomáš Hrnčiar
Modified: 2021-02-16 10:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-16 10:18:30 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github kislyuk argcomplete issues 337 0 None open Test setup failures with Bash 5.1: AssertionError: '\x1b[?2004l\r\x1b[?2004h' != '' 2021-02-16 09:54:44 UTC

Description Tomáš Hrnčiar 2021-01-11 08:51:56 UTC
Description of problem:
Package python-argcomplete fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
1.12.0-2.fc33

Steps to Reproduce:
koji build --scratch f34 python-argcomplete-1.12.0-2.fc33.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-argcomplete

======================================================================
FAIL: test_comp_point (test.test.TestBash)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1206, in setUp
    self.assertEqual(output, '')
AssertionError: '\x1b[?2004l\r\x1b[?2004h' != ''
- [?2004h

Comment 1 Miro Hrončok 2021-01-11 08:56:46 UTC
I suspect this has to do with new year.

Comment 2 Miro Hrončok 2021-01-11 09:36:30 UTC
Nope, it is bash 5.0 -> 5.1.

Comment 3 Miro Hrončok 2021-02-02 17:23:58 UTC
I've checked and it affects only tests, so I'll workaround it.

Comment 4 Miro Hrončok 2021-02-02 17:38:09 UTC
Workaround pushed. Waiting for https://src.fedoraproject.org/rpms/python-argcomplete/pull-request/8 before I make the build.

Comment 5 Ben Cotton 2021-02-09 15:39:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 6 Petr Viktorin 2021-02-16 10:18:30 UTC
This is a test-only issue, so it's fine to work around it in tests.


Note You need to log in before you can comment on or make changes to this bug.